## deb-build-artifact-gather 0.1

=== Makefile ===
#!/usr/bin/make -f


INSTALLED_ROOT_DIR = usr/share/deb-build-artifact-gather
# Nothing to do by default
all:

test:

install:
	install -m0755 -Dt$(DESTDIR)/usr/bin assets/deb-build-artifact-gather
	install -m0755 -d $(DESTDIR)/$(INSTALLED_ROOT_DIR)
	cp -a --reflink=auto src/deb_build_artifact_gather $(DESTDIR)/$(INSTALLED_ROOT_DIR)
	find $(DESTDIR)/$(INSTALLED_ROOT_DIR) -type d -name '__pycache__' -exec rm -fr {} +
	install -m0755 -d $(DESTDIR)/usr/share/man/man1
	pod2man --utf8 --section=1 --name="deb-build-artifact-gather" -c "Debian Aritfact gathering tooling" deb-build-artifact-gather.pod \
	   $(DESTDIR)/usr/share/man/man1/deb-build-artifact-gather.1
	chmod -R u=rwX,go=rX $(DESTDIR)/$(DEBPUTY_INSTALLED_ROOT_DIR)

=== debian/changelog ===
deb-build-artifact-gather (0.1) unstable; urgency=medium

  * Initial release.

 -- Niels Thykier <niels@thykier.net>  Mon, 02 Mar 2026 18:34:11 +0000

=== debian/control ===
Source: deb-build-artifact-gather
Section: devel
X-Style: black
Maintainer: Debian Build Artifact Gather Maintainers <deb-build-artifact-gather@packages.debian.org>
Uploaders:
 Niels Thykier <niels@thykier.net>,
Standards-Version: 4.7.3
Build-Depends:
 debputy,
 python3,
 python3-debian,
Build-Driver: debputy
Vcs-Browser: https://salsa.debian.org/debian/deb-build-artifact-gather
Vcs-Git: https://salsa.debian.org/debian/deb-build-artifact-gather.git
Homepage: https://salsa.debian.org/debian/deb-build-artifact-gather

Package: deb-build-artifact-gather
Architecture: all
Depends:
 python3,
 python3-debian,
Description: Build time artifact gathering helper for tools like sbuild
 The deb-build-artifact-gather is a tool for gathering build time artifacts
 from Debian builds.
 .
 Most Debian builds are performed inside a chroot or container to segregate the
 build and its dependencies from the host system. This is desirable to ensure
 that the build cannot taint the host and vice versa. In many cases it also acts
 as a security boundary between the two. However, there are a multitude of
 different methods for creating this context boundary, and they all have
 different behaviors, which has made it non-trivial for gather arbitrary build
 artifacts from the builder side.
 .
 This is where deb-build-artifact-gather comes in. It provides a standardized
 way to request artifacts to be extracted. The build orchestration tooling is
 responsible for invoking deb-build-artifact-gather at the right time with
 parameters. The deb-build-artifact-gather will then collect relevant artifacts
 and provide them to the build orchestration tooling, so they can be published.
